Delete an entity

Base URL
https://{kibana_url}
  • DELETE /api/security/entity_store/entities
  • DELETE /s/{space_id}/api/security/entity_store/entities
Auth

Delete a single entity record from the Entity Store. The entity is immediately removed from the latest index.

Required authorization

Privileges securitySolution

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

entityId string required

The identifier of the entity to delete.

Responses

200

Indicates the entity was successfully deleted.

application/json
404

Entity not found.

application/json
Base URL
https://{kibana_url}